Foreman - Bug #26567

n+1 when listing VMs on VMware
04/09/2019 11:32 AM - Timo Goebel

Status: Closed

Priority: Normal

Assignee: Marek Hulén

Category: Compute resources - VMware

Target version:

Difficulty: Fixed in Releases: 2.1.0
Triaged: No Found in Releases:
Bugzilla link: Red Hat JIRA:
Pull request: https://github.com/theforeman/foreman/p

ull/6666,

https://github.com/theforeman/foreman/p

ull/6740
Description

When listing VMs on a Vmware Compute Resource, we hit the db with a n+1 query.

This is done for every host:

13:28:58 rails.1 | 2019-04-09T13:28:58 [D|sql|4b127620] Host::Managed Exists (0.7ms) SELECT 1 AS one FROM "hosts"
WHERE "hosts"."type" IN ('Host::Managed') AND "hosts"."compute_resource_id" = $1 AND "hosts"."uuid" = $2 LIMIT $3
"compute_resource_id", 5], ["uuid”, "5004a5ec-bc04-1e1d-d91d-be832dcde7b9"], ["LIMIT", 1

13:28:58 rails.1 | 2019-04-09T13:28:58 [D|sql|4b127620] [l app/helpers/compute_resources_vms_helper.rb:239

Associated revisions

Revision 3188de3a - 03/05/2020 10:30 AM - Marek Hulan

Fixes #26567 - improve vm listing performance

History

#1 - 04/09/2019 12:13 PM - The Foreman Bot
- Status changed from New to Ready For Testing
- Assignee set to Marek Hulan

- Pull request https://github.com/theforeman/foreman/pull/6666 added

#2 - 05/06/2019 02:53 PM - The Foreman Bot
- Pull request https://github.com/theforeman/foreman/pull/6740 added

#3 - 03/04/2020 09:49 AM - Tomer Brisker
- Status changed from Ready For Testing to New

#4 - 03/05/2020 08:55 AM - The Foreman Bot
- Status changed from New to Ready For Testing

#5 - 03/05/2020 10:31 AM - The Foreman Bot
- Fixed in Releases 2.1.0 added

#6 - 03/05/2020 11:01 AM - Marek Hulan
- Status changed from Ready For Testing to Closed

Applied in changeset 3188de3a156347a89a6a9dd6014d6424{9e0b4a?.
